#include <avr/pgmspace.h>
#include <avr/io.h>
#include <stdlib.h>
#include <stdio.h>
#include "commands.h"
#include "uart.h"

#define BUF_LEN 10

char commands[] PROGMEM = {
	't' , 1, CMD_TRAIN,
	'r', 0, CMD_RECOG,
	'l', 1, CMD_LENGTH,
	'a', 0, CMD_AUTO,
	'd', 0, CMD_DOWNLOAD,
	'u', 0, CMD_UPLOAD,
	'h', 0, CMD_HELP,
	'?', 0, CMD_HELP,
	0
};


void get_command(char *cmd, unsigned int *param)
{
	char buf[BUF_LEN + 1];
	int count = 0, i;
	*cmd = ERROR_UNKNOWN_CMD;
	*param = 0;
	printf("> "); 
	for(;;) {
		char c;
		c = uart_rx();
		if (!count && (c == ' ' || c == '\t')) {
			;
		} else if ('\r' == c) {
			;
		} else if ('\n' == c) {
			buf[count] = 0;
			break;
		} else if (count < BUF_LEN) {
			buf[count] = c;
			count++;
		}
	}
	for (i = 0; pgm_read_byte(commands +i); i+= 3) {
		if (buf[0] >= 'A' && buf[0] <= 'Z') {
			buf[0] += 32;
		}
		if (pgm_read_byte(commands + i) == buf[0]) {
			*cmd = pgm_read_byte(commands + i + 2);
			break;
		}
	}
	if (!*buf) {
		*cmd = 0;
		return;
	}
	if (ERROR_UNKNOWN_CMD == *cmd) {
		return;
	}
	if (pgm_read_byte(commands + i + 1)) {
		i = 1;
		while (buf[i] && (buf[i] < '0' || buf[i] > '9')) {
			if (buf[i] != ' ' && buf[i] != '\t') {
				*cmd = ERROR_PARAMS;
				return;
			}
			i++;
		}
		if (!buf[i]) {
			*cmd = ERROR_PARAMS;
		} else {
			*param = atoi(buf + i);
		}
	}
}

char confirm(char *prompt)
{
	char c;
	printf("? ");
	printf(prompt);
	printf(" [y/n] > ");
	c = uart_rx();
	if (c == '\n') return 0;
	while (uart_rx() != '\n');
	return (c == 'y') || (c == 'Y');
}
